/*
  DRV8833 (12 Pin) Motor Sürücü Kartı Arduino ile Nasıl Kullanılır? (2 Motor)
 
  DRV8833 (12 Pin) çift motor sürücü modülünün detaylı açıklaması ve örnek projelerini
  web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

int IN1 = 6;     // Sürücü kartın IN1 bağlantısı
int IN2 = 5;     // Sürücü kartın IN2 bağlantısı
int IN3 = 10;    // Sürücü kartın IN3 bağlantısı
int IN4 = 9;     // Sürücü kartın IN4 bağlantısı
                 // IN1 ve IN2 pinleri OUT1 ve OUT2'ye bağlı motoru kontrol eder
                 // IN3 ve IN4 pinleri OUT3 ve OUT4'e bağlı motoru kontrol eder
                 // Bu pinleri PWM (~) destekli bir pin header'a bağlamalıyız
                 // Bir pine PWM ile hız değeri göndermeli,
                 // diğer pini ise 0 PWM olarak ayarlamalıyız.

void setup() {
  analogWrite(IN1, 0);   // 1. motoru başlangıçta
  analogWrite(IN2, 0);   // durduruyoruz
  analogWrite(IN3, 0);   // 2. motoru başlangıçta
  analogWrite(IN4, 0);   // durduruyoruz
}

void loop() {
  analogWrite(IN1, 100); // 1. motor için hız ve yön ayarı yapılıyor
  analogWrite(IN2, 0);
  delay(1000);
  analogWrite(IN1, 0);
  analogWrite(IN2, 0);

  analogWrite(IN3, 100); // 2. motor için hız ve yön ayarı yapılıyor
  analogWrite(IN4, 0);
  delay(1000);
  analogWrite(IN3, 0);
  analogWrite(IN4, 0);

  analogWrite(IN1, 0);   // 1. motor bu kez diğer yöne döndürülüyor
  analogWrite(IN2, 100);
  delay(1000);
  analogWrite(IN1, 0);
  analogWrite(IN2, 0);

  analogWrite(IN3, 0);   // 2. motor bu kez diğer yöne döndürülüyor
  analogWrite(IN4, 100);
  delay(1000);
  analogWrite(IN3, 0);
  analogWrite(IN4, 0);
}
