/*
  DRV8833 (12 Pin) Motor Sürücü Kartı Arduino ile Nasıl Kullanılır? (1 Motor)
 
  DRV8833 (12 Pin) çift motor sürücü modülünün detaylı açıklaması ve örnek projelerini
  web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

int IN1 = 6;     // Sürücü kartın IN1 bağlantısı
int IN2 = 5;     // Sürücü kartın IN2 bağlantısı
                 // IN1 ve IN2 pinleri OUT1 ve OUT2'ye bağlı motoru kontrol eder
                 // Bu pinleri PWM (~) destekli bir pin header'a bağlamalıyız
                 // Bir pine PWM ile hız değeri göndermeli,
                 // diğer pini ise 0 PWM olarak ayarlamalıyız.

void setup() {
  analogWrite(IN1, 0);   // Motoru başlangıçta
  analogWrite(IN2, 0);   // durduruyoruz
}

void loop() {
  analogWrite(IN1, 75);  // Hız ve yön ayarı yapılıyor (0-255 arası yazılabilir)
  analogWrite(IN2, 0);   // Bir pine analog değer verdiysek diğer pini 0 yapmalıyız
  delay(4000);           // Motorun dönüş süresini ayarlıyoruz
  analogWrite(IN1, 0);   // İki pin birden 0 yapıldığında
  analogWrite(IN2, 0);   // motor durur
  delay(1000);           // Motorun durduğu süre. Hızlı dönüşlerden sonra
                         // yön değişimi yapacaksak bir süre beklemek
                         // sürücü kart ve motoru zorlamamak için faydalıdır

  analogWrite(IN1, 0);   // Bu kez motoru diğer tarafa döndüreceğiz
  analogWrite(IN2, 150); // Yeni hız ve yön ayarı yapılıyor. Biraz hızlı dönsün.
  delay(2000);           // Motorun dönüş süresi
  analogWrite(IN1, 0);   // Motoru tekrar durduruyor
  analogWrite(IN2, 0);   // ve
  delay(1000);           // yine biraz bekliyoruz...
}
